Subject: Re: dcache BUG()

From: "Eli Chen" <[email-masked]>
Date: Fri, 11 May 2001 17:57:43 -0700

No luck here.  I checked the patched kernel running Brian's test after an
hour and it had frozen up, with one de_put message.

Eli

----- Original Message -----
From: "Brian Kuschak" <[email-masked]>
To: "'Gabriel Paubert'" <[email-masked]>
Cc: "'Dan Malek'" <[email-masked]>; "Eli Chen" <[email-masked]>;
<[email-masked]>
Sent: Friday, May 11, 2001 5:44 PM
Subject: RE: dcache BUG()

> Hi Gabriel,
>
> I tried your patch, but as you expected it didn't fix the problem.  I ran
it
> twice, once with my kernel as I got it from MontaVista, and once with the
> atomic_set() function using regular stw (as it is in the offical sources,
I
> believe).
>
> In both cases I got the de_put messages in a few minutes, and once I got
the
> dentry BUG().
>
> I think Eli might have had better luck, but I'm not sure how long he was
> running the test.
>
> Regards,
> Brian
>
>
>
> > Patch follows, it includes my previous patch. I don't think that it will
> > solve your problem, unless you happen to use a preemptible kernel.
> > While I was at it,  I removed the useless stwcx. in transfer_to_handler.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/